//---------------------------------------------------------------------------
#ifndef WatchdogSignalH
#define WatchdogSignalH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
#include "_GClass.hpp"
#include "AbCBitBt.hpp"
#include <Buttons.hpp>

//---------------------------------------------------------------------------
class TWatchdog : public TForm
{
__published:	// IDE-managed Components
    TImage *Copyright;
    TAbColBitBtn *NextTIU;
    TAbColBitBtn *PrevTIU;
    TBitBtn *WatchdogBitBtn1;
    void __fastcall FormActivate(TObject *Sender);
    void __fastcall FormDeactivate(TObject *Sender);
    void __fastcall NextTIUClick(TObject *Sender);
    void __fastcall PrevTIUClick(TObject *Sender);
    void __fastcall WatchdogBitBtn1Click(TObject *Sender);
    void __fastcall CopyrightClick(TObject *Sender);
    void __fastcall FormShow(TObject *Sender);

private:	// User declarations
    bool LocalTransparencyOverride;
    int MyTIUNo, MyRemoteNo, MyEngineNo;

public:		// User declarations
    __fastcall TWatchdog(TComponent* Owner);
    __fastcall TWatchdog(TComponent* Owner, int Remote, int TIU, int Engine);
    HWND ParentHandle; 		// accessed by Train_Control.cpp
    
};
//---------------------------------------------------------------------------
extern PACKAGE TWatchdog *Watchdog;
//---------------------------------------------------------------------------
#endif
